function sum=F5X(x)
    %%Zakharov function
     sum5=0;
     sum6=0;
     
     m=length(x);
     for j=1:m
         sum5=sum5+x(j)*x(j);
     end
     for j=1:m
         sum6=sum6+j*x(j);
     end
     sum6=sum6*0.5;
     sum=sum5+sum6*sum6+sum6*sum6*sum6*sum6;
endfunction